<template>
  <div class='category-item container'>
    <div class='category-item__header'>
      <h1>{{ categoryName }}</h1>
    </div>
    <div class='category-item__articles articles'>
      <nuxt-link v-for='(article, index) in articles' :key='index' :to='`/admin/article/${article.id}`' class='articles__item'>
        {{ article.en.articleTitle}}
      </nuxt-link>
    </div>
    <div v-if='!articles.length' class='articles__empty'>
      <p>Cтатей нет</p>
      <admin-button @click.native='$router.push("/admin/article")'>
       Создать
      </admin-button>
    </div>
  </div>
</template>

<script>
import AdminButton from '../../components/admin/AdminButton'
export default {
  components: { AdminButton },
  layout: 'admin',
  async asyncData({ store, params }) {
    const articles = await store.getters['admin/getArticles'].filter(article => article.category === params.id)
    const categoryName = params.id;
    return { categoryName, articles }
  },
}
</script>

<style lang='scss' scoped>
.category-item {
  min-height: calc(100vh - 49px);

  &__header {
    border-bottom: 1px solid #66B6FF;
    margin-bottom: 40px;

    h1 {
      color: #2f3941;
    }
  }
}

.articles {
  display: flex;
  flex-direction: column;

  &__item {
    padding-left: 30px;
    color: #68737D;
    position: relative;
    font-size: 18px;
    margin-bottom: 20px;

    &:hover {
      color: #2f3941;
    }

    &::before {
      content: "";
      position: absolute;
      width: 10px;
      height: 10px;
      line-height: 20px;
      background: #66B6FF;
      top: 6px;
      left: 10px;
      border-radius: 50%;
    }
  }

  &__empty {
    display: flex;
    align-items: center;
    flex-direction: column;
    justify-content: center;

    p {
      color: #2f3941;
      font-size: 22px;
    }
  }
}
</style>
